package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumBillUpdateType {


    LATEPAY(2, "滞纳金"),
    OTHER(1, "其他"),
    ;

    public static EnumBillUpdateType getEnum(Integer code) {
        for (EnumBillUpdateType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillUpdateType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
